﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TengoPlan4U.Models;

namespace TengoPlan4U.Controllers
{
    public class RecomendacionController : Controller
    {
        // GET: Recomendacion
        public ActionResult Recomendaciones()
        {
            Recomendacion rec = Session["localesRecom"] as Recomendacion;
            List<string> localesIds = rec.Locales;
            List<Local> listaLocales = Comunes.GetRecomendaciones(localesIds);
            return View(listaLocales.OrderByDescending(l => l.Rating));
        }
    }
}